Bug 1362370 - recipe page Installation tab claims that netboot has been configured even if the command is not Completed yet
Summary: recipe page Installation tab claims that netboot has been configured even if ...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: general   
(Show other bugs)
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 24.0
Assignee: Dan Callaghan
QA Contact: tools-bugs
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 05:00 UTC by Dan Callaghan
Modified: 2017-02-21 18:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-21 18:49:18 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Callaghan 2016-08-02 05:00:23 UTC
The Installation tab on the recipe page should only claim that netboot configuration has been done when the configure_netboot is actually *completed*. (Same for the other commands as well). If it's still queued, it could actually fail (see for example bug 1362369).

Comment 1 Dan Callaghan 2016-09-07 04:08:17 UTC
Relatedly, if the commands for provisioning a recipe (whether configure_netboot or any of the other three) fail we should actually show that on the installation tab somehow -- currently there is no indication. I'll leave that for bug 1372800 though.

Comment 2 Dan Callaghan 2016-09-07 05:30:13 UTC
http://gerrit.beaker-project.org/5197

Comment 5 Dan Callaghan 2017-02-21 18:49:18 UTC
Beaker 24.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.